predictionio-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Szeto <don...@apache.org>
Subject Re: PredictionIO :: [error] (*:update) sbt.ResolveException: unresolved dependency: io.prediction#pio-build;0.9.0: not found
Date Wed, 11 Jan 2017 22:22:13 GMT
The pio-build SBT plugin is deprecated.

1. Remove "pioVersion" from build.sbt.
2. Change reference of "pioVersion" in build.sbt to use a static value,
such as "0.10.0-incubating"
3. Delete project/pio-build.sbt.

Regards,
Donald

On Wed, Jan 11, 2017 at 12:16 PM, Pat Ferrel <pat@occamsmachete.com> wrote:

> Sorry, no. Free support is email only.
>
> rename it to apachePioVersion then. You must still have the sbt plugin
> active because if you don’t have it, it is impossible to get [ERROR]
> [Console$] [error] Type error in expression. Remove
> your-template/project/pio-build.sbt
>
>
> On Jan 11, 2017, at 3:34 AM, Yasothai Rasappan <yasothair@vishwak.com>
> wrote:
>
> Pat,
>
> Even I have tried with “pioVersion”, still I was getting same errors
> repeatedly.
>
> Is it possible to set up  a call to explain more about this topic.
>
>
> Thanks & Regards,
> Yasothai Rasappan
> SSE  *|* *yasothair@vishwak.com <yasothair@vishwak.com>   *
> *Vishwak Solutions Pvt Ltd*
> ( *044 - **4222 2300* *| Extn - 439*
> *From:* Pat Ferrel [mailto:pat@occamsmachete.com <pat@occamsmachete.com>]
> *Sent:* 11 January 2017 00:24
> *To:* user@predictionio.incubator.apache.org
> *Cc:* Donald Szeto <donald@apache.org>; Sheik Dawood Jainullabudeen <
> sheikd@vishwak.com>; Sankar M <sankar@vishwak.com>
> *Subject:* Re: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> To illustrate:
>
> <image001.png>
> Since we are not using the plugin, we do not want pioVersion.value.
>
>
> On Jan 10, 2017, at 10:04 AM, Pat Ferrel <pat@occamsmachete.com> wrote:
>
> In these things is is best to read instructions very carefully. My
> build.sbt has pioVersion not pioVersion.value
>
>
> On Jan 10, 2017, at 4:07 AM, Yasothai Rasappan <yasothair@vishwak.com>
> wrote:
>
> Hi Pat,
> I have referred the link which you have mentioned in below mail chain,
> based on that I have altered build.sbt *(Attachment 3)* file and tried to
> build the Engine, getting Error (Kindly see *Attachment 2).*
> And also I have attached pio-build.sbt *(Attachment 1)* file for your
> reference.
>
> Is there any lines needs to be modified to produce the required effect?
>
> Thanks & Regards,
> Yasothai Rasappan
> SSE  *|* *yasothair@vishwak.com <yasothair@vishwak.com>   *
> *Vishwak Solutions Pvt Ltd*
> ( *044 - **4222 2300* *| Extn – 439.*
> *From:* Pat Ferrel [mailto:pat@occamsmachete.com <pat@occamsmachete.com>]
> *Sent:* 06 January 2017 23:37
> *To:* user@predictionio.incubator.apache.org
> *Cc:* Donald Szeto <donald@apache.org>; Sheik Dawood Jainullabudeen <
> sheikd@vishwak.com>; Sankar M <sankar@vishwak.com>
> *Subject:* Re: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> We are an Apache project run by volunteers and not paid. For other options
> see the support page here: http://predictionio.
> incubator.apache.org/support/
>
> What does your build.sbt look like now? Please can you send text not
> screen shots, they are very hard to read.
>
> This is what my build.sbt looks like:
>
>
> *val *pioVersion = *"0.10.0-incubating"*
>
>
> *libraryDependencies *++= *Seq*(
>   *"org.apache.predictionio" *%% *"apache-predictionio-core" *% pioVersion % *"provided"*,
>
>
> notice the way the version is defined.
>
>
> On Jan 5, 2017, at 11:52 PM, Yasothai Rasappan <yasothair@vishwak.com>
> wrote:
>
> Hi Pat,
> As per discussion, have removed following line from pio-build.sbt file:
> “addSbtPlugin("org.apache.predictionio" % "pio-build" % "0.9.0")” .
> And have stopped all the pio services and started again, and while doing
> pio build, getting following error,
>
> <image001.png>
>
> Is it possible to receive a support call, to demo the code walk through to
> identify the subject clearly.
>
> Regards,
> Yasho.
> *From:* Pat Ferrel [mailto:pat@occamsmachete.com <pat@occamsmachete.com>]
> *Sent:* 06 January 2017 01:43
> *To:* user@predictionio.incubator.apache.org; Sheik Dawood Jainullabudeen
> <sheikd@vishwak.com>; Sankar M <sankar@vishwak.com>
> *Cc:* Donald Szeto <donald@apache.org>
> *Subject:* Re: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> the plugin is in project/pio-build.sbt. Remove it and once you can build
> it should be looking for the version in your build.sbt
>
>
> On Jan 5, 2017, at 10:56 AM, Pat Ferrel <pat@occamsmachete.com> wrote:
>
> I may have it. There is an SBT plugin that you are using that should be
> removed.
>
> The value in the engine_build.sbt of pioVersion.value cannot be calculated
> without the plugin and you don’t want the plugin, it will give the wrong
> version value.
>
> substitute
>
>    "org.apache.predictionio"    %% "apache-predictionio-core"          %
> “0.10.0-incubating”  % "provided”,
>
> And find the plugin to remove it. It will be in some plugins dir under sbt
> if I recall correctly
>
> Donald, do yo know of a writeup? I can do it if no one has already.
>
>
>
> On Jan 5, 2017, at 1:33 AM, Yasothai Rasappan <yasothair@vishwak.com>
> wrote:
>
> Hi Pat,
> Attached are the two build.sbt files, where first is in engine template
> folder and the second one is in PIO installed folder.
>
> Following are the file paths,
> File1 path: vsadmin@predictionio:~/SimpligicProductRanking$ sudo nano
> build.sbt
> File2 path: vsadmin@predictionio:~/SPIO/apache-predictionio-0.10.
> 0-incubating$ sudo nano build.sbt
>
> Regards,
> Yasho.
> *From:* Pat Ferrel [mailto:pat@occamsmachete.com <pat@occamsmachete.com>]
> *Sent:* 04 January 2017 22:00
> *To:* user@predictionio.incubator.apache.org
> *Cc:* Sankar M <sankar@vishwak.com>; Sheik Dawood Jainullabudeen <
> sheikd@vishwak.com>
> *Subject:* Re: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> This indicates that you template is still looking for PIO v0.9.0.
>
> [ERROR] [Console$] [error] (*:update) sbt.ResolveException: unresolved
> dependency: org.apache.predictionio#pio-build;0.9.0: not found
>
> So you have changed the namespace to org.apache.predictionio but somewhere
> there is the old version number. Can you send your build.sbt?
>
>
> On Jan 4, 2017, at 5:43 AM, Yasothai Rasappan <yasothair@vishwak.com>
> wrote:
>
> Hi Pat,
> PFA for specific error which I’m getting while giving pio build option.
>
> <image001.png>
>
> Regards,
> Yasho.
> *From:* Pat Ferrel [mailto:pat@occamsmachete.com <pat@occamsmachete.com>]
> *Sent:* 04 January 2017 00:32
> *To:* user@predictionio.incubator.apache.org
> *Cc:* Sankar M; Sheik Dawood Jainullabudeen
> *Subject:* Re: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> Please send the text of the error you are seeing, screen shots are very
> hard to read.
>
> What does `pio version` report?
>
>
> On Jan 3, 2017, at 2:26 AM, Yasothai Rasappan <yasothair@vishwak.com>
> wrote:
>
> Hi Rasna,
> Is it possible to have a call to discuss this issue?
>
> Regards,
> Yasho.
> *From:* Yasothai Rasappan
> *Sent:* 03 January 2017 15:54
> *To:* user@predictionio.incubator.apache.org
> *Subject:* RE: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> Hi Rasna,
> I have checked the version attribute in all the cd ./.ivy2/local folder
> and its files. In all the places its value is “0.10.0-incubating”.
> And also still I’m getting same error while doing pio build.
>
> Thanks,
> Yasho.
> *From:* Rasna Tomar [mailto:rasna@getamplify.com <rasna@getamplify.com>]
> *Sent:* 02 January 2017 18:04
> *To:* user@predictionio.incubator.apache.org
> *Subject:* Re: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> Edit -
>
> /home/yourusername/.ivy2
>
>
> On Mon, Jan 2, 2017 at 6:03 PM, Rasna Tomar <rasna@getamplify.com> wrote:
>
> Hi
>
> You can check whether in .ivy2 folder, these dependencies exist or not,
>
> Go to -
> /home/yourusername.ivy2
> You will see two folder -
> 1) cache
> 2) local
>
> Check in local folder , this folder "org.apache.predictionio" should
> exist. If it exist then check its contents and which version it has.
>
> If it has version other than this, then you have to include that version
> dependency in your code.
>
>
> Thanks
>
> On Mon, Jan 2, 2017 at 5:54 PM, Yasothai Rasappan <yasothair@vishwak.com>
> wrote:
>
> Hi Team,
>
> Any update on this?
>
> Thanks & Regards,
> Yasothai Rasappan
> SSE  *|* *yasothair@vishwak.com <yasothair@vishwak.com>   *
> *Vishwak Solutions Pvt Ltd*
> ( *044 - **4222 2300* *| Extn – 439.*
>
> *From:* Yasothai Rasappan
> *Sent:* 30 December 2016 17:14
> *To:* 'user@predictionio.incubator.apache.org'; '
> user-subscribe@predictionio.incubator.apache.org'; 'ActionML Support'; '
> support@prediction.io'
> *Cc:* Sheik Dawood Jainullabudeen; Sankar M
> *Subject:* RE: PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> Hi Team,
>
> Any update on this?
>
> Thanks & Regards,
> Yasothai Rasappan
> SSE  *|* *yasothair@vishwak.com <yasothair@vishwak.com>   *
> *Vishwak Solutions Pvt Ltd*
> ( *044 - **4222 2300* *| Extn – 439.*
>
> *From:* Yasothai Rasappan
> *Sent:* 29 December 2016 17:01
> *To:* 'user@predictionio.incubator.apache.org'; '
> user-subscribe@predictionio.incubator.apache.org'
> *Cc:* Sheik Dawood Jainullabudeen; Sankar M
> *Subject:* PredictionIO :: [error] (*:update) sbt.ResolveException:
> unresolved dependency: io.prediction#pio-build;0.9.0: not found
>
> Hi Team,
> In our project,
>
> ·         we have installed 0.9.0 version and used “Product Ranking”
> engine. It was working fine, now we are migrating old version PredictionIO
> to the new version “Apache-0. 10.0-incubating” version.
>
> ·         We have successfully installed the latest version, and also
> able to download and configured “Product Ranking” engine.
>
>
> <image001.jpg>
>
>
>
> ·         After configuring getting following error,
> <image002.jpg>
>
>
>
> ·         For the above error, I have altered “import io.prediction*” to
> “import org.apache.predictionio*”, including all scala files and sbt files.
>
> At this point, /project/pio-build.sbt file after changing to io.prediction
> to org.apache.predictionio getting following error,
>
> <image003.jpg>
>
> ·         Kindly advise me on this issue.
>
> Thanks & Regards,
> Yasothai Rasappan
> SSE  *|* *yasothair@vishwak.com <yasothair@vishwak.com>   *
> *Vishwak Solutions Pvt Ltd*
> ( *044 - **4222 2300* *| +91-9677952753 <+91%2096779%2052753> |* *Extn -
> 439*
>
>
> <pio build error.txt>
>
> <engine_build.sbt.txt><build.sbt.txt>
>
> <pio-build.sbt.txt><Pio-build-Error.txt><build.sbt.txt>
>
>

Mime
View raw message